import { select, arc } from 'd3';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

const g = svg.append('g')
  .attr('transform', `translate(${width / 2}, ${height / 2})`);

const circle = g.append('circle');

circle.attr('r', height / 2);
circle.attr('fill', 'GREEN');
circle.attr('stroke', 'BLACK');

const eyeSpacing = 150;
const eyeYOffset = -89;
const eyeRadius = 40;
const eyebrowWidth = 70;
const eyebrowHeight = 20;
const eyebrowYOffset = -100;


const eyesG = g
  .append('g')
    .attr('transform', `translate(0, ${eyeYOffset})`);

const leftEye = eyesG
  .append('circle')
    .attr('r', eyeRadius)
    .attr('cx', -eyeSpacing);

const rightEye = eyesG
  .append('circle')
    .attr('r', eyeRadius)
    .attr('cx', eyeSpacing);

const eyebrowsG = eyesG
  .append('g')
    .attr('transform', `translate(0, ${eyebrowYOffset})`);

eyebrowsG
  .transition().duration(2000)
    .attr('transform', `translate(0, ${eyebrowYOffset - 50})`)
  .transition().duration(2000)
    .attr('transform', `translate(0, ${eyebrowYOffset})`);

const leftEyebrow = eyebrowsG
  .append('rect')
    .attr('x', -eyeSpacing - eyebrowWidth / 2)
    .attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight);

const rightEyebrow = eyebrowsG
  .append('rect')
    .attr('x', eyeSpacing - eyebrowWidth / 2)
    .attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight); 

// create a smaller circles for the sticker
svg.append("circle")
   .attr("cx", 470)
   .attr("cy", 100)
   .attr("r", 20)
   .attr("fill", "red");

// create two circles for the eyes
svg.append("circle")
   .attr("cx", 650)
   .attr("cy", 150)
   .attr("r", 15)
   .attr("fill", "white");

svg.append("circle")
   .attr("cx", 350)
   .attr("cy", 150)
   .attr("r", 15)
   .attr("fill", "white");





// create a path for the star symbol
svg.append("path")
   .attr("d", "M 100,0 L 125,75 L 200,75 L 150,125 L 175,200 L 100,150 L 25,200 L 50,125 L 0,75 L 75,75 Z")
   .attr("stroke", "blue")
   .attr("stroke-width", 30)
   .attr("fill", "none");


const mouth = g
  .append('path')
    .attr('d', arc()({
      innerRadius:100,
      outerRadius: 17,
      startAngle: Math.PI / 2,
      endAngle: Math.PI * 3 / 2
    }));










